### Method

# EDataBook BookBackend ref_view_user_data

since: 3.50

#### Declaration [src]

    GObject*
    e_book_backend_ref_view_user_data (
      EBookBackend* backend,
      gsize view_id
    )

#### Description [src]

References user data previously set by `e_book_backend_take_view_user_data()` for the `view_id`.

Free the returned non-NULL object with g_object_unref(), when no longer needed.

Available since: 3.50

#### Parameters

`view_id`

  Type: `gsize`

  A view identifier.

#### Return value

Type: `GObject`

Previously set user data for the `view_id`, or `NULL` when none had been set yet or when the view does not exist.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.